activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "james strachan (JIRA)" <>
Subject [jira] Commented: (AMQ-531) XBean has a runtime issue with Spring 2.0M2
Date Tue, 21 Mar 2006 16:06:26 GMT
    [ ] 

james strachan commented on AMQ-531:

Still looks to be an issue with 2.0-M3 - Spring changed their binary protocol, so unless they
provide us a similar hook, the only thing I can see is we'll have to have a special "2.0-M3
or later" version of XBean

> XBean has a runtime issue with Spring 2.0M2
> -------------------------------------------
>          Key: AMQ-531
>          URL:
>      Project: ActiveMQ
>         Type: Bug

>   Components: Broker
>     Versions: 4.0 M4
>  Environment: Spring 2.0M2
>     Reporter: Ben Hale
>     Assignee: james strachan
>      Fix For: 4.0 RC1

> Apparently there is an issue with XBean now that Spring 2.0 (starting with M2) is compiled
against a Java 5 compiler (  It's probably worth investigating
how long before XBean releases a fix and postponing the 4.0 release until they do.  If not,
at least documenting in a known issues list that ActiveMQ 4.0 can't working with 2.0M2 and
later until a later release where they do fix it.

This message is automatically generated by JIRA.
If you think it was sent incorrectly contact one of the administrators:
For more information on JIRA, see:

View raw message